// deno run --v8-flags=--max-old-space-size=8000 --allow-all main.ts 

import { GTFS } from "./gtfs_raptor.ts"

async function loadData() {
  let gtfs = new GTFS();
  await Promise.all([
    gtfs.init("./gtfs_filtered_route")
  ]);

  let stop1: string[] = [];
  let stop2: string[] = [];

  stop1.push("1402483"); // Vulbens, Faramaz

  stop2.push("8587387"); // Genève, Bel-Air
  stop2.push("8587387:0:G");

  // gtfs.printRouteToStopTimes()
  stop1.forEach(stop1Item => {
    stop2.forEach(stop2Item => {
        console.log(stop1Item, stop2Item)
        const startTime = performance.now();
        gtfs.raptor(stop1Item, stop2Item, "06:30:00", "20240313");
        const endTime = performance.now();
        console.log(endTime - startTime)
      });
  });

}

loadData().catch(console.error);