export enum ExceptionType {
    ServiceAdded = 1,
    ServiceRemoved = 2,
  }
  
export interface CalendarDate {
      service_id: string;
      date: Date;
      exception_type: ExceptionType;
  }
  
  export enum Availability {
    NonAvailable = 0,
    Available = 1,
  }

export interface Calendar {
      service_id: string;
      availabilityDays: Availability[] // Sunday, Monday, Tuesday, wednesday, thursday, friday, saturday
      start_date: Date;
      end_date: Date;
  }
  
  // enum RouteType {
  //   Bus = 700,
  //   Tram = 900,
  //   // Add more if needed
  // }
  
  // interface Route {
  //     route_id: string;
  //     agency_id: string;
  //     route_short_name: string;
  //     route_long_name: string;
  //     route_desc: string;
  //     route_type: RouteType;
  // }
  
  export interface Trip {
      route_id: string;
      service_id: string;
      trip_id: string;
      trip_headsign: string;
      trip_short_name: string;
      direction_id: string;
      block_id: string;
  }
  
  export enum PickupType {
    StandardBoarding = 0, // les usagers peuvent monter à bord aux horaires standards
    NoBoarding = 1, // les usagers ne peuvent pas monter à bord
    MustCallAgency = 2, // les usagers doivent téléphoner à l'agence pour pouvoir monter à bord
    MustContactDriver = 3 // les usagers doivent contacter le conducteur pour pouvoir monter
  }
  
  export enum DropOffType {
    StandardAlighting = 0, // les usagers peuvent descendre aux horaires standards
    NoAlighting = 1, // les usagers ne peuvent pas descendre du véhicule
    MustCallAgencyToAlight = 2, // les usagers doivent téléphoner à l'agence pour pouvoir descendre du véhicule
    MustContactDriverToAlight = 3 // les usagers doivent contacter le conducteur pour pouvoir descendre du véhicule
  }
  
  export interface StopTime {
      trip_id: string;
      arrival_time: number;
      departure_time: number;
      stop_id: string;
      stop_sequence: number;
      pickup_type: PickupType;
      drop_off_type: DropOffType;
  }
  
  export enum LocationType {
    StopOrPlatform = 0,
    Station = 1,
    EntranceOrExit = 2,
    GenericIntersection = 3,
    BoardingArea = 4
  }
  
  export interface Stop {
      stop_id: string;
      stop_name: string;
      stop_lat: number;
      stop_lon: number;
      location_type: LocationType;
      parent_station: string;
  }
  
  // interface Agency {
  //     agency_id: string;
  //     agency_name: string;
  //     agency_url: string;
  //     agency_timezone: string;
  //     agency_lang: string;
  //     agency_phone: string;
  // }
  
  export interface RouteToStopTimes {
    [route_id: string]: {
      [service_id: string]: {
        [direction_id: string]: {
          [trip_id: string]: StopTime[]; // Ascending ordered
        };
      };
    };
  }